Retrieve a conversation
curl --request GET \
--url https://chatatp-agent-builder-backend.onrender.com/v1/conversations/{conversation_id}/ \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://chatatp-agent-builder-backend.onrender.com/v1/conversations/{conversation_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://chatatp-agent-builder-backend.onrender.com/v1/conversations/{conversation_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"agent": {},
"external_user_id": "<string>",
"user_display_name": "<string>",
"metadata": {},
"message_count": 123,
"last_message_at": "<string>"
}Conversations
Retrieve a conversation
Get a conversation and its nested agent
GET
/
v1
/
conversations
/
{conversation_id}
/
Retrieve a conversation
curl --request GET \
--url https://chatatp-agent-builder-backend.onrender.com/v1/conversations/{conversation_id}/ \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://chatatp-agent-builder-backend.onrender.com/v1/conversations/{conversation_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://chatatp-agent-builder-backend.onrender.com/v1/conversations/{conversation_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"agent": {},
"external_user_id": "<string>",
"user_display_name": "<string>",
"metadata": {},
"message_count": 123,
"last_message_at": "<string>"
}integer
required
Conversation ID.
integer
required
Conversation ID.
Agent
required
Nested agent object.
string
required
Your user identifier.
string
Display name, or
null.object
Key-value metadata.
integer
Total messages exchanged.
string
ISO 8601 timestamp of the last message, or
null.SDK
const conversation = await client.conversations.retrieve(91);
conversation = await client.conversations.retrieve(91)

